curl --request PUT \
--url https://prod01.oms.fabric.inc/api/v2/configurations/fraud-config/{processName}/{serviceName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"conditions": "[ // OR BLOCK START\n [ // AND BLOCK STARTS\n {\n \"key\": \"orderDate\",\n \"operator\": \"lte\",\n \"type\": \"date\",\n \"value\": [-59, \"SECONDS\"] // now -59 sec\n },\n {\n \"key\": \"type\",\n \"operator\": \"in\",\n \"value\": [\"web\", \"mobile\"]\n }\n ], // AND BLOCK END\n [ // AND BLOCK STARTS\n {\n \"key\": \"orderDate\",\n \"operator\": \"lt\",\n \"type\": \"date\",\n \"value\": [-10, \"MINUTES\"]\n },\n {\n \"key\": \"type\",\n \"operator\": \"is\",\n \"value\": \"postman\"\n }\n ] // AND BLOCK ENDS\n ] // OR BLOCK ENDS\n"
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/configurations/fraud-config/{processName}/{serviceName}"
payload = { "conditions": "[ // OR BLOCK START
[ // AND BLOCK STARTS
{
\"key\": \"orderDate\",
\"operator\": \"lte\",
\"type\": \"date\",
\"value\": [-59, \"SECONDS\"] // now -59 sec
},
{
\"key\": \"type\",
\"operator\": \"in\",
\"value\": [\"web\", \"mobile\"]
}
], // AND BLOCK END
[ // AND BLOCK STARTS
{
\"key\": \"orderDate\",
\"operator\": \"lt\",
\"type\": \"date\",
\"value\": [-10, \"MINUTES\"]
},
{
\"key\": \"type\",
\"operator\": \"is\",
\"value\": \"postman\"
}
] // AND BLOCK ENDS
] // OR BLOCK ENDS
" }
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
conditions: '[ // OR BLOCK START\n [ // AND BLOCK STARTS\n {\n "key": "orderDate",\n "operator": "lte",\n "type": "date",\n "value": [-59, "SECONDS"] // now -59 sec\n },\n {\n "key": "type",\n "operator": "in",\n "value": ["web", "mobile"]\n }\n ], // AND BLOCK END\n [ // AND BLOCK STARTS\n {\n "key": "orderDate",\n "operator": "lt",\n "type": "date",\n "value": [-10, "MINUTES"]\n },\n {\n "key": "type",\n "operator": "is",\n "value": "postman"\n }\n ] // AND BLOCK ENDS\n ] // OR BLOCK ENDS\n'
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/configurations/fraud-config/{processName}/{serviceName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"serviceName": "FRAUD_RELEASE_SERVICE",
"processName": "ORDER_CREATE",
"configuration": {
"conditions": "[ // OR BLOCK START\n [ // AND BLOCK STARTS\n {\n \"key\": \"orderDate\",\n \"operator\": \"lte\",\n \"type\": \"date\",\n \"value\": [-59, \"SECONDS\"] // now -59 sec\n },\n {\n \"key\": \"type\",\n \"operator\": \"in\",\n \"value\": [\"web\", \"mobile\"]\n }\n ], // AND BLOCK END\n [ // AND BLOCK STARTS\n {\n \"key\": \"orderDate\",\n \"operator\": \"lt\",\n \"type\": \"date\",\n \"value\": [-10, \"MINUTES\"]\n },\n {\n \"key\": \"type\",\n \"operator\": \"is\",\n \"value\": \"postman\"\n }\n ] // AND BLOCK ENDS\n ] // OR BLOCK ENDS\n"
},
"tenantId": "asferf3r4safasdcd"
}{
"message": "Bad Request"
}{
"message": "Fraud Config not Found"
}{
"message": "Config already exists"
}{
"message": "Internal Server Error"
}Replace the Fraud configuration for tenant.
Replace Fraud configuration with new configs for the given tenantId
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
CriteriaConfiguration model
Show child attributes
Show child attributes
"[ // OR BLOCK START\n [ // AND BLOCK STARTS\n {\n \"key\": \"orderDate\",\n \"operator\": \"lte\",\n \"type\": \"date\",\n \"value\": [-59, \"SECONDS\"] // now -59 sec\n },\n {\n \"key\": \"type\",\n \"operator\": \"in\",\n \"value\": [\"web\", \"mobile\"]\n }\n ], // AND BLOCK END\n [ // AND BLOCK STARTS\n {\n \"key\": \"orderDate\",\n \"operator\": \"lt\",\n \"type\": \"date\",\n \"value\": [-10, \"MINUTES\"]\n },\n {\n \"key\": \"type\",\n \"operator\": \"is\",\n \"value\": \"postman\"\n }\n ] // AND BLOCK ENDS\n ] // OR BLOCK ENDS\n"
"[ // OR BLOCK START\n [ // AND BLOCK STARTS\n {\n \"key\": \"orderDate\",\n \"operator\": \"lte\",\n \"type\": \"date\",\n \"value\": [-59, \"SECONDS\"] // now -59 sec\n },\n {\n \"key\": \"type\",\n \"operator\": \"in\",\n \"value\": [\"web\", \"mobile\"]\n }\n ], // AND BLOCK END\n [ // AND BLOCK STARTS\n {\n \"key\": \"orderDate\",\n \"operator\": \"lt\",\n \"type\": \"date\",\n \"value\": [-10, \"MINUTES\"]\n },\n {\n \"key\": \"type\",\n \"operator\": \"is\",\n \"value\": \"postman\"\n }\n ] // AND BLOCK ENDS\n ] // OR BLOCK ENDS\n"
Was this page helpful?
